@import url('https://fonts.googleapis.com/css?family=Oswald|Roboto:400,700');

html{
    height: 100%;
}
body {
    height: 100%;
    font-size: 14px;
    line-height: 1.5;
}
h1, h2, h3, h4, h5, h6 {
    font-family: 'Oswald', sans-serif;
}
h1 {
    font-size: 3rem;
    margin-bottom: 0.5em;
}

h2 {
    font-size: 0.9rem;
    margin-top: 0.2em;
    margin-bottom: 0.2em;
}

p {
    font-family: 'Roboto', sans-serif;
    font-size: 0.8rem;
}

.position-title{
    margin-bottom: 0;
}

.position-text{
    font-size: 1.1rem;
    margin-top: 0;
}

.text-container{
    position: relative;
    top: 40%;
    -webkit-transform: translateY(-60%);
    -ms-transform: translateY(-60%);
    transform: translateY(-60%);
}

footer{
    bottom: 0;
    postion: fixed;
    height: 0.5em;
    text-align: right;
    font-size: 2.5em;
    transform: translateY(-2em) translateX(-1em);

}

.fa-envelope, .fa-envelope:link, .fa-envelope:visited, .fa-envelope:hover, .fa-envelope:focus, .fa-envelope:active{
    color:black;
    margin: 5px;
    color: black;
    text-decoration: none;
}

.fa-linkedin, .fa-linkedin, .fa-linkedin:link, .fa-linkedin:visited, .fa-linkedin:hover, .fa-linkedin:focus, .fa-linkedin:active{
    color: black;
    margin: 5px;
    color: black;
    text-decoration: none;
}

.social{
    font-size: 2em;
    position: relative;
    top: 36%;
    -webkit-transform: translateY(-64%);
    -ms-transform: translateY(-64%);
    transform: translateY(-64%);
}

.uparrow, .uparrow:link, .uparrow:visited, .uparrow:hover, .uparrow:focus, .uparrow:active {
    color: darkgrey;
    text-decoration: none;
}

.scroll-down{
    bottom: 0;
    padding-bottom: 1em;
    left: calc(50% - 12px);
    left:-moz-calc(50% - 12px);
    left:-webkit-calc(50% - 12px);
    position: absolute;
    font-size: 24px;
}

.top-container{
    height:100%;
    text-align: center;
}

.container {
    max-width: 1024px;
    width: 90%;
    margin: 0 auto;
}
.timeline-item {
    padding: 3em 2em 2em;
    position: relative;
    color: rgba(0, 0, 0, 0.7);
    border-left: 2px solid rgba(0, 0, 0, 0.3);
}
.timeline-item p {
    margin-top: 0em;
    margin-bottom:0em;
    font-size: 0.7rem;
}

.timeline-item::before {
    content: attr(date-is);
    position: absolute;
    left: 0.9em;
    font-weight: bold;
    top: 0em;
    display: block;
    font-family: 'Roboto', sans-serif;
    font-weight: 700;
    font-size: 2rem;
}

.timeline-item::after {
    width: 10px;
    height: 10px;
    display: block;
    top: 1em;
    position: absolute;
    left: -7px;
    border-radius: 10px;
    content: '';
    border: 2px solid rgba(0, 0, 0, 0.3);
    background: white;
}
.timeline-item:last-child {
    border-image: linear-gradient(to bottom, rgba(0, 0, 0, 0.3) 60%, rgba(0, 0, 0, 0)) 1 100%;
}

@media only screen and (min-width: 1800px) {
    .container {
        max-width: 1920px;
        width: 90%;
        margin: 0 auto;
    }

    h2 {
        font-size: 1.3rem;
        margin-top: 0.2em;
        margin-bottom: 0.2em;
    }

    .timeline-item p {
        margin-top: 0em;
        font-size: 0.9rem;
    }

    .timeline-item::before {
        content: attr(date-is);
        position: absolute;
        left: 2em;
        font-weight: bold;
        top: 1em;
        display: block;
        font-family: 'Roboto', sans-serif;
        font-weight: 700;
        font-size: 0.785rem;
    }

    footer{
        bottom: 0;
        postion: fixed;
        height: 0.5em;
        text-align: right;
        font-size: 2em;
        transform: translateY(-2em) translateX(-1em);
    }

}

@media only screen and (min-width: 1024px) and (max-width: 1799px){

    h2 {
        font-size: 1.9rem;
        margin-top: 0.2em;
        margin-bottom: 0.2em;
    }

    .timeline-item p {
        margin-top: 0em;
        font-size: 1.2rem;
    }

    .timeline-item::before {
        content: attr(date-is);
        position: absolute;
        left: 1.4em;
        font-weight: bold;
        top: 0.4em;
        display: block;
        font-family: 'Roboto', sans-serif;
        font-weight: 700;
        font-size: 1.2rem;
    }

    footer{
        bottom: 0;
        postion: fixed;
        height: 0.5em;
        text-align: right;
        font-size: 2.5em;
        transform: translateY(-1.9em) translateX(-0.5em);

    }
}

@media only screen and (min-width: 767px) and (max-width: 1023px){

    h2 {
        font-size: 1.5rem;
        margin-top: 0.2em;
        margin-bottom: 0.2em;
    }

    .timeline-item p {
        margin-top: 0em;
        font-size: 0.9rem;
    }

    .timeline-item::before {
        content: attr(date-is);
        position: absolute;
        left: 1.8em;
        font-weight: bold;
        top: 0.7em;
        display: block;
        font-family: 'Roboto', sans-serif;
        font-weight: 700;
        font-size: 1rem;
    }

    footer{
        bottom: 0;
        postion: fixed;
        height: 0.5em;
        text-align: right;
        font-size: 2.5em;
        transform: translateY(-1.5em) translateX(-0.3em);

    }
}

@media only screen and (min-width: 330px) and (max-width: 766px){

    h2 {
        font-size: 0.9rem;
        margin-top: 0.2em;
        margin-bottom: 0.2em;
    }

    .timeline-item p {
        margin-top: 0em;
        font-size: 0.75rem;
    }

    .timeline-item::before {
        content: attr(date-is);
        position: absolute;
        left: 2.6em;
        font-weight: bold;
        top: 1.2em;
        display: block;
        font-family: 'Roboto', sans-serif;
        font-weight: 700;
        font-size: 0.65rem;
    }

    footer{
        bottom: 0;
        postion: fixed;
        height: 0.5em;
        text-align: right;
        font-size: 1.5em;
        transform: translateY(-1.2em) translateX(-0.8em);

    }
}

@media only screen and (min-width: 1px) and (max-width: 329px){

    h2 {
        font-size: 0.5rem;
        margin-top: 0.2em;
        margin-bottom: 0.2em;
    }

    .timeline-item p {
        margin-top: 0em;
        font-size: 0.9rem;
    }

    .timeline-item::before {
        content: attr(date-is);
        position: absolute;
        left: 2em;
        font-weight: bold;
        top: 1em;
        display: block;
        font-family: 'Roboto', sans-serif;
        font-weight: 700;
        font-size: 0.789rem;
    }
}

